From d4a611e94a3b4504f034fdb31a8ab4a72955b887 Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <pg@bowt.ie>
Date: Thu, 5 Jan 2017 11:29:53 -0800
Subject: [PATCH 2/2] Reduce MAX_PHYSICAL_FILESIZE value to BLCKSZ

This constant controls the size of underlying fd.c managed files that
the BufFile abstraction multiplexes for its callers.  A very low value
for the constant can be useful for flushing out bugs.
---
 src/backend/storage/file/buffile.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/storage/file/buffile.c b/src/backend/storage/file/buffile.c
index 7ebd636..ac3e400 100644
--- a/src/backend/storage/file/buffile.c
+++ b/src/backend/storage/file/buffile.c
@@ -47,7 +47,7 @@
  * The reason is that we'd like large temporary BufFiles to be spread across
  * multiple tablespaces when available.
  */
-#define MAX_PHYSICAL_FILESIZE	0x40000000
+#define MAX_PHYSICAL_FILESIZE	BLCKSZ
 #define BUFFILE_SEG_SIZE		(MAX_PHYSICAL_FILESIZE / BLCKSZ)
 
 /*
-- 
2.7.4

